void transpose (float WR b[], float a[], int rows, int cols)                   /* K&R C, Java... */
{
  for (int i = 0; i < rows; i ++) 
  {
    for (int j = 0; j < cols; j ++) 
    {
      b[j][i] = a[i][j];
    }
  }
} 

